Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 20 Aug 2014, 01:12
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Opera 10 (Qt 4.5.2) & SeaMonkey 2.1 alpha with Flash 10
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 9 Posts_count   Goto page: 1, 2, 3, ..., 7, 8, 9 Next
Author Message
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Wed 24 Jun 2009, 20:34    Post_subject:  Opera 10 (Qt 4.5.2) & SeaMonkey 2.1 alpha with Flash 10
Sub_title: Customized builds with Flash10 (Sep 1, 2009)
 

Opera 10 Final (Qt 4.5.2) + Flash 10 - way better than any version of Opera you've used before

What's new:
---------------
* Opera TURBO - lightning fast browsing on slow connections / low memory PCs
* Brand new skin and enhanced user interface - stylish look and improved usability
* Flash 10 - Synth's package now includes Flash 10, the latest Qt 4.5.2 libs, fresh AdBlock filters (Sep 1, 2009) , a desktop shortcut script,new skins, a few tweaks and more.

DOWNLOAD Opera:

http://stashbox.org/618073/opera10-qt452-flash10.pet
(15.3 MB)

NOTE:
- Use the included 'startopera' script / shortcut to launch Opera 10.
(Do *NOT* use the default one)



SeaMonkey 2.1 pre-alpha (Sep 1, 2009) + Flash 10 - for those who prefer salty shrimps, here's the latest (superfast) nightly build of SeaMonkey 2:

What's new:
----------------
* Faster than a speeding bullet
* Compatible with almost all webpages out there Smile
* Synth's package now includes Flash 10 for the ultimate browsing experience

DOWNLOAD SeaMonkey:

http://stashbox.org/618515/seamonkey-2.1alpha1-flash10.pet
(17.9 MB)

NOTE:
- If you get a false warning about missing dependencies. Just ignore the message and click OK. Those libs are already included in the SeaMonkey 2 installation.

Enjoy! Very Happy

Edited_times_total
Back to top
View user's profile Send_private_message 
john biles


Joined: 17 Sep 2006
Posts: 1403
Location: Australia

PostPosted: Wed 24 Jun 2009, 22:25    Post_subject:  

Hello synth,
Missing depend.
missing depends.jpg
 Description   
 Filesize   31.75 KB
 Viewed   11083 Time(s)

missing depends.jpg


_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send_private_message Visit_website 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Wed 24 Jun 2009, 22:44    Post_subject:  

There are no missing deps in this .PET package. Check your /opt directory for the Qt* files Wink

What you're seeing is just a false alarm from the package manager.

Use this tiny patch:
http://stashbox.org/551343/qt451_deps_fix.pet
to silence the warning Smile

Edited_times_total
Back to top
View user's profile Send_private_message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Wed 24 Jun 2009, 23:04    Post_subject:  

G'day,
Works in puppy 2.14 but....
Needs the symlink for libQtgui.so.4 in usr/lib
How to do this symlink:
1. Go to /opt/qt4/lib and you will see a file called libQtGui.so.4.5.1
2. Right click and choose link from the list
3. rename it to /usr/lib/libQtGui.so.4
4 press SYMLINK button
and glibc2.5 - (it's a dependency of Streamtuner and a pet package)
Cheers
Martin
Back to top
View user's profile Send_private_message 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Wed 24 Jun 2009, 23:10    Post_subject:  

legendofthor wrote:
G'day,
Works in puppy 2.14 but....
Needs the symlink for libQtgui.so.4 in usr/lib
How to do this symlink:
1. Go to /opt/qt4/lib and you will see a file called libQtGui.so.4.5.1
2. Right click and choose link from the list
3. rename it to /usr/lib/libQtGui.so.4
4 press SYMLINK button
and glibc2.5 - (it's a dependency of Streamtuner and a pet package)
Cheers
Martin


Just use the tiny patch from the previous post Smile
Back to top
View user's profile Send_private_message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Wed 24 Jun 2009, 23:14    Post_subject:  

Just went to myspace video which requires flash 9 or greater and it does not show anything. I have validated the java script path - I have installed java 1.6.0_13 - so it's fairly new. So the Flash Plugin isnt working. Any ideas?

I have uninstalled seamonkey - so there is no traces of it left. Could this be the reason? Could it be looking for Flash in there?

Cheers
Martin
Back to top
View user's profile Send_private_message 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Wed 24 Jun 2009, 23:21    Post_subject:  

legendofthor wrote:
Just went to myspace video which requires flash 9 or greater and it does not show anything. I have validated the java script path - I have installed java 1.6.0_13 - so it's fairly new. So the Flash Plugin isnt working. Any ideas?


Type
Code:
opera:plugins
in the addressbar to see the available / active plugins

The plugins page should look like this:


Quote:
I have uninstalled seamonkey - so there is no traces of it left. Could this be the reason? Could it be looking for Flash in there?


Most likely. See if you still have this file:
Code:
libflashplayer.so
in /usr/lib/mozilla/plugins
Edited_time_total
Back to top
View user's profile Send_private_message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 25 Jun 2009, 00:13    Post_subject:  

G'day,
Okies it's working now.
Why it didn't work in the first place is that I probably deleted the folder /usr/lib/mozilla thinking that it's extraneous - as i didn't have firefox or seamonkey.
Warning! Do not delete this folder! Do not make my mistake.
Also, the pet package does not create the required folders so it did not install them - I extracted them from the package and manually placed them there.
I had to re-build this folder! libflashplayer does not work exclusively - it works inclusively with the dependencies in /usr/lib/mozilla.
Cheers
Bozo
Back to top
View user's profile Send_private_message 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Thu 25 Jun 2009, 00:16    Post_subject:  

Flash works like a charm in this build. No more white screens / freezes / blackouts / corrupted images with YouTube (Google) videos, free pr0n videos are finally playable (LOL), flash-heavy news and gaming sites are now smooth as silk Very Happy
Edited_times_total
Back to top
View user's profile Send_private_message 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Thu 25 Jun 2009, 00:21    Post_subject:  

legendofthor wrote:

Also, the pet package does not create the required folders so it did not install them - I extracted them from the package and manually placed them there.


The .PET package *updates* the Flash Player already available in Puppy to Flash 10 Smile

Quote:
I had to re-build this folder!


That's really easy to fix with the 'instant backup' feature of Puppy Smile Just copy the original files from the read-only filesystem (/initrd/pup_ro2) to the writable filesystem.

Edited_time_total
Back to top
View user's profile Send_private_message 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Thu 25 Jun 2009, 00:55    Post_subject:  

[EDIT] deleted
Edited_times_total
Back to top
View user's profile Send_private_message 
synth


Joined: 18 Mar 2009
Posts: 210

PostPosted: Thu 25 Jun 2009, 04:38    Post_subject:  

Opera 10 is highly customizable. Here's an example:

*Tiny Opera*



Looks like a cute little Puppy Smile

Edited_time_total
Back to top
View user's profile Send_private_message 
tlchost

Joined: 05 Aug 2007
Posts: 1674
Location: Baltimore, Maryland USA

PostPosted: Thu 25 Jun 2009, 05:48    Post_subject: Re: Opera 10 Unite Qt 4.5.1 + Flash 10 & SeaMonkey 2.0 Nightly
Sub_title: Turbo Boost, Extra Bling, FileSharing Revolution, Salty Shrimps on steroids
 

synth wrote:
Opera 10 Unite (Qt 4.5.1) - way better than any build of Opera you've used before

http://stashbox.org/551202/opera10unite-b4449%2Bqt451%2Bflash10-i486.pet
(16.89 MB)


Downloads as opera10unite-b4449+qt451+flash10-i486.gz
Back to top
View user's profile Send_private_message Visit_website 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Thu 25 Jun 2009, 05:55    Post_subject:  

Rename to .pet and install.
Back to top
View user's profile Send_private_message 
Caneri

Joined: 04 Sep 2007
Posts: 1580
Location: Canada

PostPosted: Thu 25 Jun 2009, 12:33    Post_subject:  

Hi synth,

I'm using this Opera...very nice...thanks

Eric

@thom..my download was ok and in a .pet

_________________
Be not afraid to grow slowly, only be afraid of standing still.
Chinese Proverb

Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 9 Posts_count   Goto page: 1, 2, 3, ..., 7, 8, 9 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0837s ][ Queries: 12 (0.0058s) ][ GZIP on ]